Installation

Basic Requirements
  • You will need a working web server (e.g. Apache), a database (e.g. MySQL, MariaDB or PostgreSQL) and have PHP configured.
  • Iomad requires a number of PHP extensions. However, Moodle checks early in the installation process and you can fix the problem and re-start the install script if any are missing.
  • If you want Iomad to send email (you probably do) you need a working Sendmail (Unix/Linux) on your server or access to an SMTP mail server.

Getting Iomad

You have three options:

  1. Github: Download it directly from github
  2. Follow the instructions in our Iomad 3.2 installation guide 
  3. If you aren’t confident to go it alone, choose a hosting and support option from our Stuff you Gotta Pay for Menu